
The Hammer - Bug #29

Undo should never work past the initial file read

03/27/2017 12:12 PM - Wil van Antwerpen

Status: Closed Start date: 03/27/2017

Priority: Normal Due date:  

Assignee: Wil van Antwerpen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

If you start the hammer and it loads a pre-existing set of files.

Then make a change in one of the files and press Undo a few times.

You'll see that you are allowed to do an undo past the file read.

That of course should never happen.

History

#1 - 03/29/2017 11:49 AM - Wil van Antwerpen

- Status changed from New to Resolved

This turned out to be due to a misunderstanding.

Immediately after reading a new file, one should set

Send EditorMessage SCI_EMPTYUNDOBUFFER

instead of

Send EditorMessage SCI_SETSAVEPOINT

#2 - 03/29/2017 11:49 AM - Wil van Antwerpen

- Assignee set to Wil van Antwerpen

#3 - 03/29/2017 09:26 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
